From: Shyela Aberman <[email-masked]>
Date: Fri, 4 Feb 1994 15:37:06 -0500 (EST)

Folks,
 Has anyone tried to compile Pine 3.89 on a SunOS 5.3 machine (sol2)?
 
 I have, and have gotten the following compilation errors:

Making Pine.
cc -DSV4   -g -DDEBUG  -c  addrbook.c
"/usr/include/unistd.h", line 171: identifier redeclared: rename
"addrbook.c", line 200: warning: semantics of ">" change in ANSI C; use 
explicit cast
"addrbook.c", line 204: warning: semantics of ">" change in ANSI C; use 
explicit cast
"addrbook.c", line 1349: cannot recover from previous errors
cc: acomp failed for addrbook.c
*** Error code 1
make: Fatal error: Command failed for target `addrbook.o'

The errors about semantics aren't a problem near as I can tell; the 
c-client, pico, mtest, and imapd have them and compile successfully. What 
I think the problem is, but can't find where to fix is the "identifier 
redeclared: rename".

 I've searched all the source code for declarations of rename that would 
mess with unistd.h, but pico and the c-client seem to be the only ones.

Since I'm not familiar at all with the code, does anyone out there 
(hello, pine development team! :-) have any idea where to look or what to 
do to fix this?

thanx, and I hope this isn't a FAQ or something,

shy

P.S. cc doesn't seem to be the usual /usr/bin/cc, but is 
/opt/SUNWspro/bin/cc and thus the package uses cc5.sol.

 /----------------------------------+-----------------------------------------\
 |Shyela Aberman, Emory University -|- Consultant, Exec. Editor, CS Major,    |
 |          404-712-2229           -|- Martial Artist, and Good Kisser        |
 |----------------------------------+-----------------------------------------|
 |INTERNET: [email-masked]       OTHER:  [email-masked]     |
 |BITNET: labsha@emoryu1           UUCP: {rutgers,gatech}!emoryu1!labsha      |
 \----------------------------------------------------------------------------/